<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref0.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : CLOCKS_PER_SEC - Synopsis::Lexer::Queue::my_container</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : CLOCKS_PER_SEC - Synopsis::Lexer::Queue::my_container</h1><div class="xref-name"><a id="CLOCKS_PER_SEC" /><h2 >CLOCKS_PER_SEC</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Timer.hh.html#20">Synopsis/Timer.hh:20</a>: in global scope</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="EOF" /><h2 >EOF</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#94">Synopsis/PTree/Encoding.hh:94</a>: in global scope</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis" /><h2 >Namespace Synopsis</h2><ul>
<li><a href="../Scopes/Synopsis.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#14">Synopsis/SymbolLookup/Walker.hh:14</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#12">Synopsis/PTree/Display.hh:12</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#12">Synopsis/SymbolLookup/Display.hh:12</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/Timer.hh.html#13">Synopsis/Timer.hh:13</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#12">Synopsis/PTree/Visitor.hh:12</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/Token.hh.html#12">Synopsis/Token.hh:12</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#12">Synopsis/PTree/NodesFwd.hh:12</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#14">Synopsis/SymbolLookup/Scope.hh:14</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#12">Synopsis/TypeAnalysis/Kit.hh:12</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#14">Synopsis/Trace.hh:14</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#13">Synopsis/PTree/Writer.hh:13</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#13">Synopsis/PTree/Atoms.hh:13</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#14">Synopsis/PTree/Lists.hh:14</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#15">Synopsis/TypeAnalysis/Type.hh:15</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#13">Synopsis/SymbolLookup/Symbol.hh:13</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#16">Synopsis/Lexer.hh:16</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#10">Synopsis/TypeAnalysis/Visitor.hh:10</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/OverloadResolver.hh.html#13">Synopsis/TypeAnalysis/OverloadResolver.hh:13</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#19">Synopsis/PTree/Node.hh:19</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#15">Synopsis/Parser.hh:15</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#13">Synopsis/SymbolFactory.hh:13</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#15">Synopsis/SymbolLookup/Scopes.hh:15</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#14">Synopsis/Buffer.hh:14</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#16">Synopsis/TypeAnalysis/TypeEvaluator.hh:16</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer" /><h2 >Class Synopsis::Buffer</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#22">Synopsis/Buffer.hh:22</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#38">Synopsis/Lexer.hh:38</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#108">Synopsis/Lexer.hh:108</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Buffer.hh.html#25">Synopsis/Buffer.hh:25</a>: Constructor <a href="../Scopes/Synopsis/Buffer.html#Buffer_lstd_mstreambuf_S_cconst.std_mstring_A_r" >Buffer&#40;std::streambuf*&#44;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#28">Synopsis/Buffer.hh:28</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#size_l_rconst" >size&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#31">Synopsis/Buffer.hh:31</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#get_l_r" >get&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#33">Synopsis/Buffer.hh:33</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#unget_l_r" >unget&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#35">Synopsis/Buffer.hh:35</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#reset_lunsigned.long_r" >reset&#40;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#38">Synopsis/Buffer.hh:38</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#position_l_rconst" >position&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#40">Synopsis/Buffer.hh:40</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#at_lunsigned.long_rconst" >at&#40;unsigned long&#41;const</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#42">Synopsis/Buffer.hh:42</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#ptr_lunsigned.long_rconst" >ptr&#40;unsigned long&#41;const</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#47">Synopsis/Buffer.hh:47</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#replace_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" >replace&#40;const char*&#44;const char*&#44;const char*&#44;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#50">Synopsis/Buffer.hh:50</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#origin_lconst.char_S_cstd_mstring_A_rconst" >origin&#40;const char*&#44;std::string&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#54">Synopsis/Buffer.hh:54</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#write_lstd_mostream_A_cconst.std_mstring_A_rconst" >write&#40;std::ostream&amp;&#44;const std::string&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#57">Synopsis/Buffer.hh:57</a>: Struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Replacement</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#68">Synopsis/Buffer.hh:68</a>: Typedef <a href="../Scopes/Synopsis/Buffer.html#Replacements" >Replacements</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#76">Synopsis/Buffer.hh:76</a>: Member function <a href="../Scopes/Synopsis/Buffer.html#read_line_directive_lunsigned.long_clong_cunsigned.long_A_cunsigned.long_A_rconst" >read_line_directive&#40;unsigned long&#44;long&#44;unsigned long&amp;&#44;unsigned long&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#78">Synopsis/Buffer.hh:78</a>: Data member <a href="../Scopes/Synopsis/Buffer.html#my_filename" >my_filename</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#79">Synopsis/Buffer.hh:79</a>: Data member <a href="../Scopes/Synopsis/Buffer.html#my_buffer" >my_buffer</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#80">Synopsis/Buffer.hh:80</a>: Data member <a href="../Scopes/Synopsis/Buffer.html#my_cursor" >my_cursor</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#81">Synopsis/Buffer.hh:81</a>: Data member <a href="../Scopes/Synopsis/Buffer.html#my_replacements" >my_replacements</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mBuffer_lstd_mstreambuf_S_cconst.std_mstring_A_r" /><h2 >Synopsis::Buffer::Buffer&#40;std::streambuf*&#44;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#25">Synopsis/Buffer.hh:25</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mReplacement" /><h2 >Struct Synopsis::Buffer::Replacement</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer/Replacement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#57">Synopsis/Buffer.hh:57</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#61">Synopsis/Buffer.hh:61</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#61">Synopsis/Buffer.hh:61</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#68">Synopsis/Buffer.hh:68</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Buffer.hh.html#60">Synopsis/Buffer.hh:60</a>: Constructor <a href="../Scopes/Synopsis/Buffer/Replacement.html#Replacement_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" >Replacement&#40;const char*&#44;const char*&#44;const char*&#44;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#61">Synopsis/Buffer.hh:61</a>: Member function <a href="../Scopes/Synopsis/Buffer/Replacement.html#smaller_lconst.Replacement_A_cconst.Replacement_A_r" >smaller&#40;const Replacement&amp;&#44;const Replacement&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#63">Synopsis/Buffer.hh:63</a>: Data member <a href="../Scopes/Synopsis/Buffer/Replacement.html#from" >from</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#64">Synopsis/Buffer.hh:64</a>: Data member <a href="../Scopes/Synopsis/Buffer/Replacement.html#to" >to</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#65">Synopsis/Buffer.hh:65</a>: Data member <a href="../Scopes/Synopsis/Buffer/Replacement.html#begin" >begin</a></li><li ><a href="../Source/Synopsis/Buffer.hh.html#66">Synopsis/Buffer.hh:66</a>: Data member <a href="../Scopes/Synopsis/Buffer/Replacement.html#length" >length</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mReplacement_mReplacement_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" /><h2 >Constructor Synopsis::Buffer::Replacement::Replacement&#40;const char*&#44;const char*&#44;const char*&#44;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer/Replacement.html#Replacement_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#59">Synopsis/Buffer.hh:59</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mReplacement_mbegin" /><h2 >Data member Synopsis::Buffer::Replacement::begin</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer/Replacement.html#begin" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#65">Synopsis/Buffer.hh:65</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mReplacement_mfrom" /><h2 >Data member Synopsis::Buffer::Replacement::from</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer/Replacement.html#from" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#63">Synopsis/Buffer.hh:63</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#62">Synopsis/Buffer.hh:62</a>: in member function <a href="../Scopes/Synopsis/Buffer/Replacement.html#smaller_lconst.Replacement_A_cconst.Replacement_A_r" >Synopsis::Buffer::Replacement::smaller&#40;const Replacement&amp;&#44;const Replacement&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#62">Synopsis/Buffer.hh:62</a>: in member function <a href="../Scopes/Synopsis/Buffer/Replacement.html#smaller_lconst.Replacement_A_cconst.Replacement_A_r" >Synopsis::Buffer::Replacement::smaller&#40;const Replacement&amp;&#44;const Replacement&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mReplacement_mlength" /><h2 >Data member Synopsis::Buffer::Replacement::length</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer/Replacement.html#length" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#66">Synopsis/Buffer.hh:66</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mReplacement_msmaller_lconst.Replacement_A_cconst.Replacement_A_r" /><h2 >Member function Synopsis::Buffer::Replacement::smaller&#40;const Replacement&amp;&#44;const Replacement&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer/Replacement.html#smaller_lconst.Replacement_A_cconst.Replacement_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#61">Synopsis/Buffer.hh:61</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mReplacement_mto" /><h2 >Data member Synopsis::Buffer::Replacement::to</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer/Replacement.html#to" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#64">Synopsis/Buffer.hh:64</a>: in struct <a href="../Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mReplacements" /><h2 >Typedef Synopsis::Buffer::Replacements</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#Replacements" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#68">Synopsis/Buffer.hh:68</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#81">Synopsis/Buffer.hh:81</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mat_lunsigned.long_rconst" /><h2 >Member function Synopsis::Buffer::at&#40;unsigned long&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#at_lunsigned.long_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#40">Synopsis/Buffer.hh:40</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mget_l_r" /><h2 >Member function Synopsis::Buffer::get&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#get_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#31">Synopsis/Buffer.hh:31</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mmy_buffer" /><h2 >Data member Synopsis::Buffer::my_buffer</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#my_buffer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#79">Synopsis/Buffer.hh:79</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#28">Synopsis/Buffer.hh:28</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#size_l_rconst" >Synopsis::Buffer::size&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#31">Synopsis/Buffer.hh:31</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#get_l_r" >Synopsis::Buffer::get&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#31">Synopsis/Buffer.hh:31</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#get_l_r" >Synopsis::Buffer::get&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#40">Synopsis/Buffer.hh:40</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#at_lunsigned.long_rconst" >Synopsis::Buffer::at&#40;unsigned long&#41;const</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#42">Synopsis/Buffer.hh:42</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#ptr_lunsigned.long_rconst" >Synopsis::Buffer::ptr&#40;unsigned long&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mmy_cursor" /><h2 >Data member Synopsis::Buffer::my_cursor</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#my_cursor" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#80">Synopsis/Buffer.hh:80</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#31">Synopsis/Buffer.hh:31</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#get_l_r" >Synopsis::Buffer::get&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#31">Synopsis/Buffer.hh:31</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#get_l_r" >Synopsis::Buffer::get&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#33">Synopsis/Buffer.hh:33</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#unget_l_r" >Synopsis::Buffer::unget&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#35">Synopsis/Buffer.hh:35</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#reset_lunsigned.long_r" >Synopsis::Buffer::reset&#40;unsigned long&#41;</a></li>
<li><a href="../Source/Synopsis/Buffer.hh.html#38">Synopsis/Buffer.hh:38</a>: in member function <a href="../Scopes/Synopsis/Buffer.html#position_l_rconst" >Synopsis::Buffer::position&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mmy_filename" /><h2 >Data member Synopsis::Buffer::my_filename</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#my_filename" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#78">Synopsis/Buffer.hh:78</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mmy_replacements" /><h2 >Data member Synopsis::Buffer::my_replacements</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#my_replacements" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#81">Synopsis/Buffer.hh:81</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_morigin_lconst.char_S_cstd_mstring_A_rconst" /><h2 >Synopsis::Buffer::origin&#40;const char*&#44;std::string&amp;&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#50">Synopsis/Buffer.hh:50</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mposition_l_rconst" /><h2 >Member function Synopsis::Buffer::position&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#position_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#38">Synopsis/Buffer.hh:38</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mptr_lunsigned.long_rconst" /><h2 >Member function Synopsis::Buffer::ptr&#40;unsigned long&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#ptr_lunsigned.long_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#42">Synopsis/Buffer.hh:42</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mread_line_directive_lunsigned.long_clong_cunsigned.long_A_cunsigned.long_A_rconst" /><h2 >Member function Synopsis::Buffer::read_line_directive&#40;unsigned long&#44;long&#44;unsigned long&amp;&#44;unsigned long&amp;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#read_line_directive_lunsigned.long_clong_cunsigned.long_A_cunsigned.long_A_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#75">Synopsis/Buffer.hh:75</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mreplace_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" /><h2 >Member function Synopsis::Buffer::replace&#40;const char*&#44;const char*&#44;const char*&#44;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#replace_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#46">Synopsis/Buffer.hh:46</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mreset_lunsigned.long_r" /><h2 >Member function Synopsis::Buffer::reset&#40;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#reset_lunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#35">Synopsis/Buffer.hh:35</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_msize_l_rconst" /><h2 >Member function Synopsis::Buffer::size&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#size_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#28">Synopsis/Buffer.hh:28</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_munget_l_r" /><h2 >Member function Synopsis::Buffer::unget&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Buffer.html#unget_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#33">Synopsis/Buffer.hh:33</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mBuffer_mwrite_lstd_mostream_A_cconst.std_mstring_A_rconst" /><h2 >Synopsis::Buffer::write&#40;std::ostream&amp;&#44;const std::string&amp;&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Buffer.hh.html#54">Synopsis/Buffer.hh:54</a>: in class <a href="../Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer" /><h2 >Class Synopsis::Lexer</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#22">Synopsis/Lexer.hh:22</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#45">Synopsis/Parser.hh:45</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#76">Synopsis/Parser.hh:76</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#450">Synopsis/Parser.hh:450</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Lexer.hh.html#28">Synopsis/Lexer.hh:28</a>: Enum <a href="../Scopes/Synopsis/Lexer.html#TokenSet" >TokenSet</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#29">Synopsis/Lexer.hh:29</a>: Typedef <a href="../Scopes/Synopsis/Lexer.html#Comments" >Comments</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#31">Synopsis/Lexer.hh:31</a>: Struct <a href="../Scopes/Synopsis/Lexer/InvalidChar.html" >InvalidChar</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#38">Synopsis/Lexer.hh:38</a>: Constructor <a href="../Scopes/Synopsis/Lexer.html#Lexer_lBuffer_S_cint_r" >Lexer&#40;Buffer*&#44;int&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#39">Synopsis/Lexer.hh:39</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#get_token_lToken_A_r" >get_token&#40;Token&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#40">Synopsis/Lexer.hh:40</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#look_ahead_lsize_t_r" >look_ahead&#40;size_t&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#41">Synopsis/Lexer.hh:41</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#look_ahead_lsize_t_cToken_A_r" >look_ahead&#40;size_t&#44;Token&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#43">Synopsis/Lexer.hh:43</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#save_l_r" >save&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#44">Synopsis/Lexer.hh:44</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#restore_lconst.char_S_r" >restore&#40;const char*&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#46">Synopsis/Lexer.hh:46</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#get_comments_l_r" >get_comments&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#50">Synopsis/Lexer.hh:50</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#origin_lconst.char_S_cstd_mstring_A_rconst" >origin&#40;const char*&#44;std::string&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#54">Synopsis/Lexer.hh:54</a>: Class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Queue</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#71">Synopsis/Lexer.hh:71</a>: Typedef <a href="../Scopes/Synopsis/Lexer.html#Dictionary" >Dictionary</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#73">Synopsis/Lexer.hh:73</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#rewind_lconst.char_S_r" >rewind&#40;const char*&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#75">Synopsis/Lexer.hh:75</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_token_lconst.char_S_A_csize_t_A_r" >read_token&#40;const char*&amp;&#44;size_t&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#79">Synopsis/Lexer.hh:79</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#fill_lsize_t_r" >fill&#40;size_t&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#82">Synopsis/Lexer.hh:82</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#skip_paren_l_r" >skip_paren&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#84">Synopsis/Lexer.hh:84</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#skip_line_l_r" >skip_line&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#86">Synopsis/Lexer.hh:86</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#skip_attribute_l_r" >skip_attribute&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#88">Synopsis/Lexer.hh:88</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#skip_extension_lconst.char_S_A_csize_t_A_r" >skip_extension&#40;const char*&amp;&#44;size_t&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#90">Synopsis/Lexer.hh:90</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#skip_asm_l_r" >skip_asm&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#92">Synopsis/Lexer.hh:92</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#skip_declspec_l_r" >skip_declspec&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#94">Synopsis/Lexer.hh:94</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#skip_pragma_l_r" >skip_pragma&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#96">Synopsis/Lexer.hh:96</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#get_next_non_white_char_l_r" >get_next_non_white_char&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#97">Synopsis/Lexer.hh:97</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_line_l_r" >read_line&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#98">Synopsis/Lexer.hh:98</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_char_const_lunsigned.long_r" >read_char_const&#40;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#99">Synopsis/Lexer.hh:99</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_str_const_lunsigned.long_r" >read_str_const&#40;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#100">Synopsis/Lexer.hh:100</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_number_lchar_cunsigned.long_r" >read_number&#40;char&#44;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#101">Synopsis/Lexer.hh:101</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_float_lunsigned.long_r" >read_float&#40;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#102">Synopsis/Lexer.hh:102</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_identifier_lunsigned.long_r" >read_identifier&#40;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#103">Synopsis/Lexer.hh:103</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#screen_lconst.char_S_csize_t_r" >screen&#40;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#104">Synopsis/Lexer.hh:104</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_separator_lchar_cunsigned.long_r" >read_separator&#40;char&#44;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#105">Synopsis/Lexer.hh:105</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#single_char_op_lunsigned.char_r" >single_char_op&#40;unsigned char&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#106">Synopsis/Lexer.hh:106</a>: Member function <a href="../Scopes/Synopsis/Lexer.html#read_comment_lchar_cunsigned.long_r" >read_comment&#40;char&#44;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#108">Synopsis/Lexer.hh:108</a>: Data member <a href="../Scopes/Synopsis/Lexer.html#my_buffer" >my_buffer</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#109">Synopsis/Lexer.hh:109</a>: Data member <a href="../Scopes/Synopsis/Lexer.html#my_tokens" >my_tokens</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#110">Synopsis/Lexer.hh:110</a>: Data member <a href="../Scopes/Synopsis/Lexer.html#my_keywords" >my_keywords</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#111">Synopsis/Lexer.hh:111</a>: Data member <a href="../Scopes/Synopsis/Lexer.html#my_token" >my_token</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#112">Synopsis/Lexer.hh:112</a>: Data member <a href="../Scopes/Synopsis/Lexer.html#my_comments" >my_comments</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mC" /><h2 >Enumerator Synopsis::Lexer::C</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#C" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#28">Synopsis/Lexer.hh:28</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mCXX" /><h2 >Enumerator Synopsis::Lexer::CXX</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#CXX" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#28">Synopsis/Lexer.hh:28</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mComments" /><h2 >Typedef Synopsis::Lexer::Comments</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#Comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#29">Synopsis/Lexer.hh:29</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#46">Synopsis/Lexer.hh:46</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#112">Synopsis/Lexer.hh:112</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mDictionary" /><h2 >Typedef Synopsis::Lexer::Dictionary</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#Dictionary" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#71">Synopsis/Lexer.hh:71</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#110">Synopsis/Lexer.hh:110</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mGCC" /><h2 >Enumerator Synopsis::Lexer::GCC</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#GCC" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#28">Synopsis/Lexer.hh:28</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mInvalidChar" /><h2 >Struct Synopsis::Lexer::InvalidChar</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/InvalidChar.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#31">Synopsis/Lexer.hh:31</a>: in struct <a href="../Scopes/Synopsis/Lexer/InvalidChar.html" >Synopsis::Lexer::InvalidChar</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Lexer.hh.html#33">Synopsis/Lexer.hh:33</a>: Constructor <a href="../Scopes/Synopsis/Lexer/InvalidChar.html#InvalidChar_lconst.std_mstring_A_r" >InvalidChar&#40;const std::string&amp;&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mInvalidChar_mInvalidChar_lconst.std_mstring_A_r" /><h2 >Synopsis::Lexer::InvalidChar::InvalidChar&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#33">Synopsis/Lexer.hh:33</a>: in struct <a href="../Scopes/Synopsis/Lexer/InvalidChar.html" >Synopsis::Lexer::InvalidChar</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mLexer_lBuffer_S_cint_r" /><h2 >Constructor Synopsis::Lexer::Lexer&#40;Buffer*&#44;int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#Lexer_lBuffer_S_cint_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#38">Synopsis/Lexer.hh:38</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mMSVC" /><h2 >Enumerator Synopsis::Lexer::MSVC</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#MSVC" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#28">Synopsis/Lexer.hh:28</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue" /><h2 >Class Synopsis::Lexer::Queue</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#54">Synopsis/Lexer.hh:54</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#109">Synopsis/Lexer.hh:109</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Lexer.hh.html#57">Synopsis/Lexer.hh:57</a>: Typedef <a href="../Scopes/Synopsis/Lexer/Queue.html#Container" >Container</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#58">Synopsis/Lexer.hh:58</a>: Typedef <a href="../Scopes/Synopsis/Lexer/Queue.html#size_type" >size_type</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#60">Synopsis/Lexer.hh:60</a>: Member function <a href="../Scopes/Synopsis/Lexer/Queue.html#empty_l_rconst" >empty&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#61">Synopsis/Lexer.hh:61</a>: Member function <a href="../Scopes/Synopsis/Lexer/Queue.html#size_l_rconst" >size&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#62">Synopsis/Lexer.hh:62</a>: Member function <a href="../Scopes/Synopsis/Lexer/Queue.html#front_l_rconst" >front&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#63">Synopsis/Lexer.hh:63</a>: Member function <a href="../Scopes/Synopsis/Lexer/Queue.html#back_l_rconst" >back&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#64">Synopsis/Lexer.hh:64</a>: Member function <a href="../Scopes/Synopsis/Lexer/Queue.html#at_lsize_type_rconst" >at&#40;size_type&#41;const</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#65">Synopsis/Lexer.hh:65</a>: Member function <a href="../Scopes/Synopsis/Lexer/Queue.html#push_lconst.Token_A_r" >push&#40;const Token&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#66">Synopsis/Lexer.hh:66</a>: Member function <a href="../Scopes/Synopsis/Lexer/Queue.html#pop_l_r" >pop&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#67">Synopsis/Lexer.hh:67</a>: Member function <a href="../Scopes/Synopsis/Lexer/Queue.html#clear_l_r" >clear&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Lexer.hh.html#69">Synopsis/Lexer.hh:69</a>: Data member <a href="../Scopes/Synopsis/Lexer/Queue.html#my_container" >my_container</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mContainer" /><h2 >Typedef Synopsis::Lexer::Queue::Container</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#Container" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#57">Synopsis/Lexer.hh:57</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#69">Synopsis/Lexer.hh:69</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mat_lsize_type_rconst" /><h2 >Member function Synopsis::Lexer::Queue::at&#40;size_type&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#at_lsize_type_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#64">Synopsis/Lexer.hh:64</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mback_l_rconst" /><h2 >Member function Synopsis::Lexer::Queue::back&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#back_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#63">Synopsis/Lexer.hh:63</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mclear_l_r" /><h2 >Member function Synopsis::Lexer::Queue::clear&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#clear_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#67">Synopsis/Lexer.hh:67</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mempty_l_rconst" /><h2 >Member function Synopsis::Lexer::Queue::empty&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#empty_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#60">Synopsis/Lexer.hh:60</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mfront_l_rconst" /><h2 >Member function Synopsis::Lexer::Queue::front&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#front_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#62">Synopsis/Lexer.hh:62</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mmy_container" /><h2 >Data member Synopsis::Lexer::Queue::my_container</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#my_container" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#69">Synopsis/Lexer.hh:69</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#60">Synopsis/Lexer.hh:60</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#empty_l_rconst" >Synopsis::Lexer::Queue::empty&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#61">Synopsis/Lexer.hh:61</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#size_l_rconst" >Synopsis::Lexer::Queue::size&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#62">Synopsis/Lexer.hh:62</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#front_l_rconst" >Synopsis::Lexer::Queue::front&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#63">Synopsis/Lexer.hh:63</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#back_l_rconst" >Synopsis::Lexer::Queue::back&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#64">Synopsis/Lexer.hh:64</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#at_lsize_type_rconst" >Synopsis::Lexer::Queue::at&#40;size_type&#41;const</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#65">Synopsis/Lexer.hh:65</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#push_lconst.Token_A_r" >Synopsis::Lexer::Queue::push&#40;const Token&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#66">Synopsis/Lexer.hh:66</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#pop_l_r" >Synopsis::Lexer::Queue::pop&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#67">Synopsis/Lexer.hh:67</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#clear_l_r" >Synopsis::Lexer::Queue::clear&#40;&#41;</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
